Retrieve a participant point of contact
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}/contacts/{contactId}Retrieve a specific point of contact for a given participant.
Analytic events
- ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_START
- ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_SUCCESS
- ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidUnique identifier of the points of contact for a given participant.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/contacts/920f2489-d953-42f2-b2dd-f37c29b818cf"{
"id": "920f2489-d953-42f2-b2dd-f37c29b818cf",
"fullName": "John Doe",
"active": true,
"emailAddress": "john.doe@example.com",
"primaryPhoneNumber": 1234567890,
"secondaryPhoneNumber": 987654321,
"createdBy": {
"clientId": "f7b9ecfc-8431-470e-a1de-94b68dd92f68",
"managementUserId": "ab16dc65-b58e-4be2-ba77-a6f35021cb2b"
},
"createdAt": "2025-07-01T00:00:00.000Z",
"lastModifiedBy": {
"clientId": "f7b9ecfc-8431-470e-a1de-94b68dd92f68",
"managementUserId": "ab16dc65-b58e-4be2-ba77-a6f35021cb2b"
},
"lastModifiedAt": "2025-07-01T00:00:00.000Z"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all participant points of contact GET
Retrieve all points of contact for given participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_START * ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_FAIL
Update a participant point of contact PUT
Update a specific point of contact for a given participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_CONTACT_UPDATE_START * ECOSYSTEM_PARTICIPANT_CONTACT_UPDATE_SUCCESS * ECOSYSTEM_PARTICIPANT_CONTACT_UPDATE_FAIL